VendorsIdArchive
Archive a vendor by id.
Authorization
Authorization AuthorizationBearer <token>
In: header
Path Parameters
id*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/vendors/string/archive/"{
"id": "string",
"shortId": -9007199254740991,
"slug": "string",
"name": "string",
"description": "string",
"createdAt": "string",
"updatedAt": "string",
"organizationId": "string",
"archivedAt": "string",
"category": "CLOUD",
"relationship": "PROCESSOR",
"status": "ACTIVE",
"inherentProbability": 0,
"inherentImpact": 0,
"residualProbability": 0,
"residualImpact": 0,
"treatmentStrategy": "UNKNOWN",
"website": "string",
"contactName": "string",
"contactEmail": "string",
"contractExpiry": "string",
"ownerId": "string",
"locationId": "string",
"assessmentPeriodId": "string",
"lastAssessmentId": "string"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}How is this guide?